<?php
/*
 * @package Joomla 2.5
 * @copyright Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html, see LICENSE.php
 *
 * @component jOpenSimPayPal
 * @copyright Copyright (C) 2013 FoTo50 http://www.jopensim.com/
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');

JFormHelper::loadFieldClass('list');
//Get daterange options
JFormHelper::addFieldPath(JPATH_COMPONENT . '/fields');
$daterangeselector		= JFormHelper::loadFieldType('daterangeselector', $this->state->get('filter.daterange'));
$daterangeOptions		= $daterangeselector->getOptions(); // works only if you set your field getOptions on public!!
$payoutstatusselector	= JFormHelper::loadFieldType('payoutstatusselector', $this->state->get('filter.payoutstatus'));
$payoutstatusOptions	= $payoutstatusselector->getOptions(); // works only if you set your field getOptions on public!!
?>

<span class='com_jopensimpaypal_title'><?php echo JText::_('COM_JOPENSIMPAYPAL_MENU_PAYOUT'); ?></span>

<form action="<?php echo JRoute::_('index.php?option=com_jopensimpaypal'); ?>" method="post" name="adminForm">
<input type='hidden' name='view' value='payout' />

<fieldset id="filter-bar">
<div class="filter-search fltlft">
	<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->searchterms); ?>" title="<?php echo JText::_('COM_JOPENSIMPAYPAL_SEARCH_TRANSACTIONS'); ?>" />
	<button type="submit">
	<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>
	</button>
	<button type="button" onclick="document.id('filter_search').value='';this.form.submit();">
	<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>
	</button>
</div>
<div class="filter-select fltrt">
	<label for="filter_payoutstatus">
	<?php echo JText::_('COM_JOPENSIMPAYPAL_PAYOUT_FILTER_LABEL'); ?>
	</label>
	<select name="filter_payoutstatus" id="filter_payoutstatus" class="inputbox" onchange="this.form.submit()">
		<option value=""><?php echo JText::_('COM_JOPENSIMPAYPAL_PAYOUT_FILTER_PAYOUTSTATUS');?></option>
		<?php echo JHtml::_('select.options', $payoutstatusOptions, 'value', 'text', $this->state->get('filter.payoutstatus'));?>
		<option value="unsolved"<?php if($this->state->get('filter.payoutstatus') == "unsolved") echo " selected='selected'"; ?>><?php echo JText::_('COM_JOPENSIMPAYPAL_PAYOUTSTATUS_UNSOLVED');?></option>
	</select>
	<select name="filter_daterange" id="filter_daterange" class="inputbox" onchange="this.form.submit()">
		<option value="999999"><?php echo JText::_('COM_JOPENSIMPAYPAL_PAYOUT_FILTER_DATERANGE');?></option>
		<?php echo JHtml::_('select.options', $daterangeOptions, 'value', 'text', $this->state->get('filter.daterange'));?>
	</select>
</div>
</fieldset>

<table class="adminlist">
<thead><?php echo $this->loadTemplate('head');?></thead>
<tbody><?php echo $this->loadTemplate('body');?></tbody>
<tfoot><?php echo $this->loadTemplate('foot');?></tfoot>
</table>


</form>